// Package consts ...
//
// Description : consts ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-04-08 16:33
package consts

const (
	DataTypeUnknown             = "unknown"           // 位置数据类型
	DataTypeNil                 = "nil"               // nil
	DataTypePtr                 = "ptr"               // 指针
	DataTypeInt                 = "int"               // int类型 -> int64
	DataTypeUint                = "uint"              // uint类型 -> uint64
	DataTypeFloat               = "float"             // float类型 -> float64
	DataTypeBool                = "bool"              // bool类型
	DataTypeString              = "string"            // 字符串类型
	DataTypeSliceAny            = "[]any"             // any数组 -> []any
	DataTypeSliceInt            = "[]int"             // int数组 -> []int64
	DataTypeSliceIntWithChar    = "[]int_split"       // int数组 -> []int64, 按照指定字符切割
	DataTypeSliceUint           = "[]uint"            // uint数组 -> []uint64
	DataTypeSliceUintWithChar   = "[]uint_split"      // uint数组 -> []uint64， 指定字符切割
	DataTypeSliceFloat          = "[]float"           // float数组 -> []float64
	DataTypeSliceFloatWithChar  = "[]float_split"     // float数组 -> []float64, 指定字符切割
	DataTypeSliceBool           = "[]bool"            // bool数组 -> []bool
	DataTypeSliceBoolWithChar   = "[]bool_split"      // bool数组 -> []bool, 指定字符切割
	DataTypeSliceString         = "[]string"          // 字符串数组 -> []string
	DataTypeSliceStringWithChar = "[]string_split"    // 字符串数组 -> []string, 指定字符切割
	DataTypeSliceSlice          = "[][]any"           // 字符串数组 -> [][]any
	DataTypeSliceMapAnyAny      = "[]map[any]any"     // 字符串数组 -> map[any]any, slice对象
	DataTypeSliceMapStringAny   = "[]map[string]any"  // 字符串数组 -> map[string]any, slice对象
	DataTypeMapStrInt           = "map[string]int"    // map -> map[string]int64
	DataTypeMapStrUint          = "map[string]uint"   // map -> map[string]uint64
	DataTypeMapStrFloat         = "map[string]float"  // map -> map[string]float64
	DataTypeMapStrBool          = "map[string]bool"   // map -> map[string]bool
	DataTypeMapStrAny           = "map[string]any"    // map -> map[string]interface{}
	DataTypeMapStrStr           = "map[string]string" // map -> map[string]string
	DataTypeMapAnyAny           = "map[any]any"       // map -> map[interface{}]interface{}
	DataTypeMapStrSlice         = "map[string][]any"  // map -> map[string][]interface{}
	DataTypeAny                 = "any"               // 任意类型 -> interface{}
)

const (
	DataStatusNotFound = "NOT_FOUND"
	DataStatusIsNil    = "IS_NIL"
	DataStatusIsZero   = "IS_ZERO"
	DataStatusIsEmpty  = "IS_EMPTY"
	DataStatusIsFalse  = "IS_FALSE"
)

const (
	DataSliceModelReal          = "REAL"
	DataSliceModelMarshal       = "MARSHAL"
	DataSliceModelWithSplitChar = "WITH_SPLIT_CHAR"
)
